org.apache.ode.bpel.pmapi

## Interface TScopeInfo.Variables

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TScopeInfoImpl.VariablesImpl
  Enclosing interface:
    TScopeInfo

      public static interface TScopeInfo.Variables
      extends org.apache.xmlbeans.XmlObject

  An XML variables(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TScopeInfo.Variables.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TVariableRef` | `addNewVariableRef()` Appends and returns a new empty value (as xml) as the last "variable-ref" element
    `TVariableRef[]` | `getVariableRefArray()` Deprecated.
    `TVariableRef` | `getVariableRefArray(int i)` Gets ith "variable-ref" element
    `java.util.List<TVariableRef>` | `getVariableRefList()` Gets a List of "variable-ref" elements
    `TVariableRef` | `insertNewVariableRef(int i)` Inserts and returns a new empty value (as xml) as the ith "variable-ref" element
    `void` | `removeVariableRef(int i)` Removes the ith "variable-ref" element
    `void` | `setVariableRefArray(int i, TVariableRef variableRef)` Sets ith "variable-ref" element
    `void` | `setVariableRefArray(TVariableRef[] variableRefArray)` Sets array of all "variable-ref" element
    `int` | `sizeOfVariableRefArray()` Returns number of "variable-ref" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getVariableRefList

          java.util.List<TVariableRef> getVariableRefList()

      Gets a List of "variable-ref" elements

    - #### getVariableRefArray

          @Deprecated
          TVariableRef[] getVariableRefArray()

      Deprecated.
      Gets array of all "variable-ref" elements

    - #### getVariableRefArray

          TVariableRef getVariableRefArray(int i)

      Gets ith "variable-ref" element

    - #### sizeOfVariableRefArray

          int sizeOfVariableRefArray()

      Returns number of "variable-ref" element

    - #### setVariableRefArray

          void setVariableRefArray(TVariableRef[] variableRefArray)

      Sets array of all "variable-ref" element

    - #### setVariableRefArray

          void setVariableRefArray(int i,
                                 TVariableRef variableRef)

      Sets ith "variable-ref" element

    - #### insertNewVariableRef

          TVariableRef insertNewVariableRef(int i)

      Inserts and returns a new empty value (as xml) as the ith "variable-ref" element

    - #### addNewVariableRef

          TVariableRef addNewVariableRef()

      Appends and returns a new empty value (as xml) as the last "variable-ref" element

    - #### removeVariableRef

          void removeVariableRef(int i)

      Removes the ith "variable-ref" element